## xpadneo 0.9.7+20250628~ab12+1

=== debian/changelog ===
xpadneo (0.9.7+20250628~ab12+1) bookworm-ab-unstable; urgency=medium

  *
  * [7a7db6b] debian/changelog: Initial debainize try
  * [98396c0] debian/changelog: Rollbak version to 0.9.7
  * [7b7a2d3] debian/rules (override_dh_auto_build): Initial actually
    working setup
  * [6129fe1] debian/control (Homepage): Fix URL
  * [a25e1dd] debian/control (Description): Non-boilerplate dwecription
  * [f44f937] debian/changelog: make cl non-boilerplate
  * [1b6e568] debian/copyright (Source): Some update to copyright
  * [84f0006] debian/control (Section): Fix
  * [ed922fb] debian/source/format: Add packager format
  * [ea2d632] debian/copyright: More fixes to eliminate lintina errors
  * [d8ad788] debian/control (Section): Don't use non-free
  * [3695789] debian/_build: Add build script
  * [6edf2da] debian/_build: Fix: bookworm is 12. not 11
  * MINI_BUILDD_OPTION: auto-ports=trixie-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Sat, 28 Jun 2025 13:43:05 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with dkms

override_dh_auto_build:
	VERSION=$(DEB_VERSION_UPSTREAM) make

override_dh_auto_install:
	dh_install hid-xpadneo/* usr/src/hid-xpadneo-$(DEB_VERSION_UPSTREAM)/

## xpadneo 0.9.7+20250803~ab~TRIXIE+1

=== debian/changelog ===
xpadneo (0.9.7+20250803~ab~TRIXIE+1) trixie-ab-unstable; urgency=medium

  * [343010b] debian/changelog: Initial debainize try
  * [ed91546] debian/changelog: Rollbak version to 0.9.7
  * [5c5c086] debian/rules (override_dh_auto_build): Initial actually
    working setup
  * [aa5fc05] debian/control (Homepage): Fix URL
  * [693e738] debian/control (Description): Non-boilerplate dwecription
  * [599c8be] debian/changelog: make cl non-boilerplate
  * [eb990ae] debian/copyright (Source): Some update to copyright
  * [7997583] debian/control (Section): Fix
  * [99f3d5c] debian/source/format: Add packager format
  * [0f8b3e8] debian/copyright: More fixes to eliminate lintina errors
  * [d7688f4] debian/control (Section): Don't use non-free
  * [a5a9d2d] debian/_build: Add build script
  * [218914a] debian/_build: Fix: bookworm is 12. not 11
  * [84791d3] debian/rules (override_dh_dkms): Actually build on install
  * [e41ec69] debian/_build: Only build for trixie

 -- Stephan Sürken <absurd@olurdix.de>  Sun, 03 Aug 2025 11:15:47 +0200

## xpadneo 0.9.7+20251012~ab13+1

=== debian/changelog ===
xpadneo (0.9.7+20251012~ab13+1) trixie-ab-unstable; urgency=medium

  * Rebuild after trixie release
  * [eb990ae] debian/copyright (Source): Some update to copyright
  * [7997583] debian/control (Section): Fix
  * [99f3d5c] debian/source/format: Add packager format
  * [0f8b3e8] debian/copyright: More fixes to eliminate lintina errors
  * [d7688f4] debian/control (Section): Don't use non-free
  * [a5a9d2d] debian/_build: Add build script
  * [218914a] debian/_build: Fix: bookworm is 12. not 11
  * [84791d3] debian/rules (override_dh_dkms): Actually build on install
  * [e41ec69] debian/_build: Only build for trixie

 -- Stephan Sürken <absurd@olurdix.de>  Sun, 12 Oct 2025 11:43:31 +0200

## xpadneo 0.9.8+master20260208~ab13+1

=== Makefile ===
ETC_PREFIX ?= /etc
DOC_PREFIX ?= /usr/share/doc/xpadneo

MODPROBE_CONFS := xpadneo.conf
UDEV_RULES := 60-xpadneo.rules 70-xpadneo-disable-hidraw.rules
DOC_SRCS := NEWS.md $(wildcard docs/[0-9A-Z]*.md)
DOCS := $(notdir $(DOC_SRCS))

ifeq ($(PREFIX),)
  DKMS ?= dkms
else
  $(warning Installing to prefix, dkms commands will not be run!)
  DKMS ?= : SKIPPING dkms
endif

ifeq ($(PREFIX),)
  UDEVADM ?= udevadm
else
  $(warning Installing to prefix, udevadm commands will not be run!)
  UDEVADM ?= : SKIPPING udevadm
endif

all: build

help:
	@echo "Targets:"
	@echo "help        This help"
	@echo "build       Prepare the package for DKMS deployment"
	@echo "install     Install the package, documentation and DKMS source code"
	@echo "uninstall   Uninstall the package, documentation and DKMS source code"
	@echo
	@echo "Variables:"
	@echo "PREFIX      Install files into this prefix"
	@echo "DOC_PREFIX  Install doc files relative to the prefix (defaults to /usr/share/doc/xpadneo)"
	@echo "ETC_PREFIX  Install etc files relative to the prefix (defaults to /etc)"
	@echo
	@echo "Using PREFIX requires handling dkms commands in your package script."

.PHONY: build install

.INTERMEDIATE: VERSION

VERSION:
	{ [ -n "$(VERSION)" ] && echo $(VERSION) || git describe --tags --dirty; } >$@

build: VERSION
	$(MAKE) VERSION="$(shell cat VERSION)" -C hid-xpadneo dkms.conf

install: build
	mkdir -p $(PREFIX)$(ETC_PREFIX)/modprobe.d $(PREFIX)$(ETC_PREFIX)/udev/rules.d $(PREFIX)$(DOC_PREFIX)
	install -D -m 0644 -t $(PREFIX)$(ETC_PREFIX)/modprobe.d $(MODPROBE_CONFS:%=hid-xpadneo/etc-modprobe.d/%)
	install -D -m 0644 -t $(PREFIX)$(ETC_PREFIX)/udev/rules.d $(UDEV_RULES:%=hid-xpadneo/etc-udev-rules.d/%)
	install -D -m 0644 -t $(PREFIX)$(DOC_PREFIX) $(DOC_SRCS)
	$(UDEVADM) control --reload
	$(DKMS) add hid-xpadneo

uninstall: VERSION
	$(DKMS) remove "hid-xpadneo/$(shell cat VERSION)" --all || echo "dkms: remove failed: ignored"
	rm -Rf "$(PREFIX)/usr/src/hid-xpadneo-$(shell cat VERSION)"
	rm -f $(DOCS:%=$(PREFIX)$(DOC_PREFIX)/%)
	rm -f $(UDEV_RULES:%=$(PREFIX)$(ETC_PREFIX)/udev/rules.d/%)
	rm -f $(MODPROBE_CONFS:%=$(PREFIX)$(ETC_PREFIX)/modprobe.d/%)
	rmdir --ignore-fail-on-non-empty -p $(PREFIX)$(ETC_PREFIX)/modprobe.d $(PREFIX)$(ETC_PREFIX)/udev/rules.d $(PREFIX)$(DOC_PREFIX)
	$(UDEVADM) control --reload

=== debian/changelog ===
xpadneo (0.9.8+master20260208~ab13+1) trixie-ab-unstable; urgency=medium

  *
  * [b6325ff] debian/changelog: Initial debainize try
  * [5c4cbaa] debian/changelog: Rollbak version to 0.9.7
  * [0dc5de1] debian/rules (override_dh_auto_build): Initial actually
    working setup
  * [fc01994] debian/control (Homepage): Fix URL
  * [7bc1c43] debian/control (Description): Non-boilerplate dwecription
  * [2e2b28e] debian/changelog: make cl non-boilerplate
  * [0e6e15c] debian/copyright (Source): Some update to copyright
  * [ef6d5fb] debian/control (Section): Fix
  * [21960ae] debian/source/format: Add packager format
  * [c101cee] debian/copyright: More fixes to eliminate lintina errors
  * [b4aa3d8] debian/control (Section): Don't use non-free
  * [d859e54] debian/_build: Add build script
  * [158b7c2] debian/_build: Fix: bookworm is 12. not 11
  * [cc7b0d1] debian/rules (override_dh_dkms): Actually build on install
  * [7ea91a1] debian/_build: Only build for trixie
  * [5e8c50f] debian/_build: Rebase w/ master, adapt version
  * [30f9169] debian/_build: Trixie now is 13 (released)

 -- Stephan Sürken <absurd@olurdix.de>  Sun, 08 Feb 2026 12:39:26 +0100

=== debian/control ===
Source: xpadneo
Section: kernel
Priority: optional
Maintainer: Stephan Sürken <absurd@olurdix.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-dkms,
Standards-Version: 4.7.2
Homepage: https://github.com/atar-axis/xpadneo

Package: xpadneo-dkms
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Advanced Linux Driver for Xbox One Wireless Gamepad
 Makes xbox-like controllers ready-to-play via bluetooth.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 override_dh_auto_install:
 	dh_install hid-xpadneo/* usr/src/hid-xpadneo-$(DEB_VERSION_UPSTREAM)/
+
+override_dh_dkms:
+	dh_dkms -p xpadneo-dkms -V -- hid-xpadneo/dkms.conf

## xpadneo 0.9.8+master20260208173922~ab13+1

=== debian/changelog ===
xpadneo (0.9.8+master20260208173922~ab13+1) trixie-ab-unstable; urgency=medium

  *
  * [b6325ff] debian/changelog: Initial debainize try
  * [5c4cbaa] debian/changelog: Rollbak version to 0.9.7
  * [0dc5de1] debian/rules (override_dh_auto_build): Initial actually
    working setup
  * [fc01994] debian/control (Homepage): Fix URL
  * [7bc1c43] debian/control (Description): Non-boilerplate dwecription
  * [2e2b28e] debian/changelog: make cl non-boilerplate
  * [0e6e15c] debian/copyright (Source): Some update to copyright
  * [ef6d5fb] debian/control (Section): Fix
  * [21960ae] debian/source/format: Add packager format
  * [c101cee] debian/copyright: More fixes to eliminate lintina errors
  * [b4aa3d8] debian/control (Section): Don't use non-free
  * [d859e54] debian/_build: Add build script
  * [158b7c2] debian/_build: Fix: bookworm is 12. not 11
  * [cc7b0d1] debian/rules (override_dh_dkms): Actually build on install
  * [7ea91a1] debian/_build: Only build for trixie
  * [5e8c50f] debian/_build: Rebase w/ master, adapt version
  * [30f9169] debian/_build: Trixie now is 13 (released)
  * [6a22f5c] debian/rules (override_dh_auto_install): Add modprode.d and
    ruls.d files
  * [ee7de67] debian/_build: Add time to stamp
  * [44833f4] debian/rules (override_dh_auto_install): Fix: Instal udev
    rules to /usr/lib/, not /etc/

 -- Stephan Sürken <absurd@olurdix.de>  Sun, 08 Feb 2026 17:39:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 override_dh_auto_install:
 	dh_install hid-xpadneo/* usr/src/hid-xpadneo-$(DEB_VERSION_UPSTREAM)/
+	dh_install hid-xpadneo/etc-modprobe.d/* etc/modprobe.d/
+	dh_install hid-xpadneo/etc-udev-rules.d/* usr/lib/udev/rules.d/
 
 override_dh_dkms:
 	dh_dkms -p xpadneo-dkms -V -- hid-xpadneo/dkms.conf
